<div style="padding: 20px;">
  <kendo-grid [data]="gridView"
              [pageable]="false"
              [columnMenu]="false"
              [sortable]="false"
              [filterable]="false"
              (dataStateChange)="dataStateChange($event)"
              [groupable]="false"
              [reorderable]="false">
    <kendo-grid-column field="type" title="Alert Name" width="200">
      <ng-template kendoGridCellTemplate let-dataItem>
        <span class="font-weight-bold">Appointment Alert</span>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="message" title="Message" width="300">
      <ng-template kendoGridCellTemplate let-dataItem>
        <div class="d-flex">
          <div class="flex-fill">{{dataItem.message}}</div>
          <div class="d-flex">
            <button
              class="item-setting-btn border-0 bg-transparent cursor-pointer" (click)="updatePlannedService(dataItem)">
              <mat-icon class="m-0" style="color: #979797;">edit</mat-icon>
            </button>

            <button
              class="item-setting-btn border-0 bg-transparent cursor-pointer" (click)="updatePlannedService(dataItem, true)">
              <mat-icon class="m-0" style="color: #979797;">delete</mat-icon>
            </button>
          </div>
        </div>
      </ng-template>
    </kendo-grid-column>
  </kendo-grid>
</div>

<ng-template #deleteConfirm>
  <div style="padding: 20px;">
    You are trying to mark the future appointment as missed, Do you wish to proceed?
  </div>
</ng-template>
